dSFMT 2.2

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions
dSFMT-common.h File Reference

SIMD oriented Fast Mersenne Twister(SFMT) pseudorandom number generator with jump function. More...

`#include "dSFMT.h"`

Go to the source code of this file.

## Functions
static void | do_recursion (w128_t *r, w128_t *a, w128_t *b, w128_t *lung)
| This function represents the recursion formula.

## Detailed Description

SIMD oriented Fast Mersenne Twister(SFMT) pseudorandom number generator with jump function.

This file includes common functions used in random number generation and jump.

Author:
  Mutsuo Saito (Hiroshima University)
  Makoto Matsumoto (The University of Tokyo)

Copyright (C) 2006, 2007 Mutsuo Saito, Makoto Matsumoto and Hiroshima University. Copyright (C) 2012 Mutsuo Saito, Makoto Matsumoto, Hiroshima University and The University of Tokyo. All rights reserved.

The 3-clause BSD License is applied to this software, see LICENSE.txt

## Function Documentation

static void do_recursion | ( | w128_t * | r,
|  | w128_t * | a,
|  | w128_t * | b,
|  | w128_t * | lung
| ) |  | `[inline, static]`

This function represents the recursion formula.

Parameters:

  r | output 128-bit
  a | a 128-bit part of the internal state array
  b | a 128-bit part of the internal state array
  lung | a 128-bit part of the internal state array (I/O)

References W128_T::u.

Referenced by dsfmt_gen_rand_all(), gen_rand_array_c0o1(), gen_rand_array_c1o2(), gen_rand_array_o0c1(), and gen_rand_array_o0o1().